org.apache.ignite.internal.processors.odbc

## Class OdbcRequestHandler

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcRequestHandler

    public class OdbcRequestHandler
    extends Object

SQL query handler.

### Constructor Summary

Constructors
Constructor and Description
`OdbcRequestHandler(GridKernalContext ctx, GridSpinBusyLock busyLock, int maxCursors)` Constructor.

### Method Summary

Methods
`OdbcResponse` `handle(long reqId, OdbcRequest req)` Handle request.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OdbcRequestHandler

    public OdbcRequestHandler(GridKernalContext ctx,
                      GridSpinBusyLock busyLock,
                      int maxCursors)

Constructor.

Parameters:
  `ctx` - Context.
  `busyLock` - Shutdown latch.
  `maxCursors` - Maximum allowed cursors.

### Method Detail

#### handle

    public OdbcResponse handle(long reqId,
                      OdbcRequest req)

Handle request.

Parameters:
  `reqId` - Request ID.
  `req` - Request.
Returns:
  Response.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016